Subject: Re: RFC: A configuration design for future-proofing fsync() configuration

From: Christoph Hellwig <[email-masked]>
Date: Fri, 12 Nov 2021 06:54:21 +0100

On Wed, Nov 10, 2021 at 04:47:24PM -0800, Neeraj Singh wrote:
> It would be nice to loop in some Linux fs developers to find out what can be
> done on current implementations to get the durability without terrible
> performance. From reading the docs and mailing threads it looks like the
> sync_file_range + bulk fsync approach should actually work on the current XFS
> implementation.

If you want more than just my advice [email-masked] is
a good place to find a wide range of opinions.

Anyway, I think syncfs is the biggest band for the buck as it will give
you very efficient syncing with very little overhead in git, but it does
have a huge noisy neighbor problem that might make it unattractive
for multi-tenant file systems or git hosting.